> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# List client accounts

> List existing client accounts and their balances



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /clients/accounts
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /clients/accounts:
    get:
      tags:
        - Clients
        - Accounts
      summary: List client accounts
      description: List existing client accounts and their balances
      operationId: getClientAccounts
      responses:
        '200':
          description: A page of listed client accounts objects
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ListClientAccountsResponse'
                  - properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              $ref: '#/components/schemas/ClientId'
                            accountId:
                              $ref: '#/components/schemas/AccountId'
                            businessLegalName:
                              type: string
                            balances:
                              type: object
                              properties:
                                available:
                                  type: array
                                  items:
                                    $ref: '#/components/schemas/AssetAmount'
                              required:
                                - available
                          required:
                            - id
                            - accountId
                            - balances
                      totalBalances:
                        type: object
                        properties:
                          available:
                            type: array
                            items:
                              $ref: '#/components/schemas/AssetAmount'
                        required:
                          - available
                    required:
                      - data
                      - totalBalances
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    ListClientAccountsResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountId'
        clientId:
          $ref: '#/components/schemas/ClientId'
        businessLegalName:
          type: string
        balances:
          type: object
          properties:
            available:
              type: array
              items:
                $ref: '#/components/schemas/AssetAmount'
          required:
            - available
      required:
        - id
        - clientId
        - businessLegalName
    ClientId:
      type: string
      pattern: ^client_[a-zA-Z0-9]{27}$
      description: A valid Client ID
      example: client_2ofTA13AD0xBtbEvBl20aEb1hEu
    AccountId:
      type: string
      pattern: ^acct_[a-zA-Z0-9]{27}$
      description: A valid Account ID
      example: acct_2ofTA5mz0T91pBmD3tMTeLE7T4X
    AssetAmount:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/AssetCode'
        network:
          $ref: '#/components/schemas/NetworkName'
        amount:
          $ref: '#/components/schemas/NonNegativeInteger'
        country:
          type: string
      required:
        - asset
        - amount
      additionalProperties: false
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    AssetCode:
      type: string
      enum:
        - USD
        - MXN
        - BRL
        - COP
        - EUR
        - NGN
        - ARS
        - GBP
        - AED
        - SGD
        - HKD
        - USDT
        - USDC
        - RLUSD
      description: >-
        The asset identifier. Either an ISO-4217 currency code or a stablecoin
        token.
    NetworkName:
      type: string
      enum:
        - ethereum
        - tron
        - solana
        - polygon
        - base
        - xrpl
      description: >-
        The stablecoin asset network identifier. Required for stablecoins;
        omitted for fiat.
    NonNegativeInteger:
      type: string
      pattern: ^[0-9]*$
      description: A non-negative integer amount
      example: '0'
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````